commit:     c4690889d745eb244acce3ac75f8e7d2c2f14526
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 01:14:29 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 17 01:14:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4690889

media-libs/sdl2-net: add 2.2.0

Closes: https://bugs.gentoo.org/731036
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/sdl2-net/Manifest              |  1 +
 media-libs/sdl2-net/sdl2-net-2.2.0.ebuild | 35 +++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/media-libs/sdl2-net/Manifest b/media-libs/sdl2-net/Manifest
index 081c367745e7..461b32890e37 100644
--- a/media-libs/sdl2-net/Manifest
+++ b/media-libs/sdl2-net/Manifest
@@ -1 +1,2 @@
 DIST SDL2_net-2.0.1.tar.gz 347436 BLAKE2B 
9c7bb46cf97581f75543b9e2695e4ce87b78c66dada3ac1a3ddf7b8e6eeaf2540532aece3e7a6dc7f6dfcfd3ecf5148d5bfb9a84bc2775e57f68b3adf32e5828
 SHA512 
d27faee3cddc3592dae38947e6c1df0cbaa95f82fde9c87db6d11f6312d868cea74f6830ad07ceeb3d0d75e9424cebf39e54fddf9a1147e8d9e664609de92b7a
+DIST SDL2_net-2.2.0.tar.gz 8707169 BLAKE2B 
78188a62deda9220df5e519ca28de835478e84c9b7b17bd07348df5b69bccc62c6e4c2c7f71f09969d209660f8b3181a871ab6867e6e1dff8360998eb237d8ea
 SHA512 
fa22f1a2c777aac6932551b5adc925288c424dc1af46a974fdb2e3579205b40b204db01d2a8c4048aa333a200efc241f784b9bc9276277e8ab4d23edb023ab69

diff --git a/media-libs/sdl2-net/sdl2-net-2.2.0.ebuild 
b/media-libs/sdl2-net/sdl2-net-2.2.0.ebuild
new file mode 100644
index 000000000000..9bb075cd9518
--- /dev/null
+++ b/media-libs/sdl2-net/sdl2-net-2.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=SDL2_net-${PV}
+inherit multilib-minimal
+
+DESCRIPTION="Simple Direct Media Layer Network Support Library"
+HOMEPAGE="https://www.libsdl.org/projects/SDL_net/index.html";
+SRC_URI="https://github.com/libsdl-org/SDL_net/releases/download/release-${PV}/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="static-libs"
+
+RDEPEND=">=media-libs/libsdl2-2.0.4[${MULTILIB_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               --disable-examples \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       dodoc {CHANGES,README}.txt
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to